curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/networkdetail/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/networkdetail/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/networkdetail/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used for authentication
Example
<API_KEY>Location filter for network details
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the network details response
object
object
IPv4 address of an additional network interface
object
Indicates whether a limit is available for the reserved IP.
True if the IP address is already reserved, otherwise false.
Indicates whether the IP address can be reserved
Price of the reserved IP, including currency and optional tax note
Indicates if a public IP can be attached or detached
Three-letter ISO 4217 currency code for the reserved IP
Indicates whether IPv6 traffic is permitted for the network.
The public IPv4 address assigned to the network.
The private IPv4 address assigned to the network interface.
object
Status message indicating the result of the request
Example
{ "code": 200, "data": { "additional_ip": [ { "ip_address": "1.2.3.4" } ], "reserve_ip_details": { "is_limit_available": true, "is_already_reserved": true, "can_we_reserved": false, "reserve_ip_price": "INR 199.0 (excluding GST)", "can_we_attach_detach_public_ip": true, "currency": "INR" }, "ipv6_addresses": [ "3456:96c0:0100::99" ], "ipv6_allowed": true, "public_ip_address": "1.2.3.4", "private_ip_address": "10.2.3.4", "additional_ip_with_pool": [ "1.2.3.4" ], "floating_ip_list": [ "1.2.3.4" ] }, "message": "Success"}